
/*
 * COPYRIGHT (C) 1992 DIGITAL EQUIPMENT CORPORATION
 * ALL RIGHTS RESERVED
 *
 * "Digital Equipment Corporation authorizes the reproduction,
 * distribution and modification of this software subject to the following
 * restrictions:
 * 
 * 1.  Any partial or whole copy of this software, or any modification
 * thereof, must include this copyright notice in its entirety.
 *
 * 2.  This software is supplied "as is" with no warranty of any kind,
 * expressed or implied, for any purpose, including any warranty of fitness 
 * or merchantibility.  DIGITAL assumes no responsibility for the use or
 * reliability of this software, nor promises to provide any form of 
 * support for it on any basis.
 *
 * 3.  Distribution of this software is authorized only if no profit or
 * remuneration of any kind is received in exchange for such distribution. 
 * 
 * 4.  This software and all application programs are to be used only for
 * non-commercial purposes. However, media costs associated with the
 * distribution of the software or application programs may be recovered.
 *
 */


#ifndef SPHINX_BIGSIGNVERIFY
#define SPHINX_BIGSIGNVERIFY

#include "random.h"
#include "BigZ.h"
#include "BigRSA.h"

int RSASign ();
/*
int RSASign (toBeSigned, datalen, key, signature, siglen)
RSAKeyStorage *key;
unsigned char *toBeSigned, *signature;
int datalen, *siglen;
*/

int RSAVerify ();
/*
int RSAVerify (allegedSigned, datalen, key, signature, siglen)
RSAKeyStorage *key;
char *allegedSigned, *signature;
int datalen, siglen;
*/

#define MAX_INIT_AUTH 2*DigitLim*sizeof(BigNumDigit)

int InitAuthenticationKey ();
int AcceptAuthenticationKey ();

#ifdef SPX_CRYPTO_SOURCE
int init_rsa_encpwd () ;
int accept_rsa_encpwd ();
#endif

#endif

